Bug 810946 - Support running JBoss AS 7 testsuite against OpenShift (tracking)
Support running JBoss AS 7 testsuite against OpenShift (tracking)
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan Mace
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 13:38 EDT by Ondřej Žižka
Modified: 2015-05-14 18:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 14:32:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2012-04-09 13:38:08 EDT
I am trying to run AS testsuite against OpenShift's JBoss AS 7.
See https://issues.jboss.org/browse/AS7-4432
Consider this as a tracker issue. Specific topics will be later covered by individual issues.
Comment 1 Ondřej Žižka 2012-04-09 13:38:25 EDT
1) There's a timeout which kills the build. I need to be able to configure this.

2) I need to be able to get to the results of the build.

3) The build runs with -DskipTests. I  need to be able to override this.
Comment 2 Ondřej Žižka 2012-04-09 19:58:09 EDT
4) I can风t connect to management. I've tried jboss-cli.sh and 

     connect as7ts2-ondra.rhcloud.com

but got:

     The controller is not available at as7ts2-ondra.rhcloud.com:9999
Comment 3 Mike McGrath 2012-10-10 14:51:46 EDT
Dan, any update on this one?  

(In reply to comment #2)
> 4) I can风t connect to management. I've tried jboss-cli.sh and 
> 
>      connect as7ts2-ondra.rhcloud.com
> 
> but got:
> 
>      The controller is not available at as7ts2-ondra.rhcloud.com:9999

Perhaps using the cli tools and port forwarding will solve this

rhc port-forward $APPNAME

Then try to connect to localhost.  Port 9999 is not exposed to the world.
Comment 4 Dan Mace 2013-02-14 13:56:44 EST
I created a new jbossas-7 app, and then forwarded ports:

$ rhc port-forward jbossapp -pp
Checking available ports...
Forwarding ports
  Service Connect to              Forward to
  ==== ================== ==== ==================
  java 127.0.250.129:3528  =>  127.0.250.129:3528
  java 127.0.250.129:4447  =>  127.0.250.129:4447
  java 127.0.250.129:5445  =>  127.0.250.129:5445
  java 127.0.250.129:5455  =>  127.0.250.129:5455
  java 127.0.250.129:8080  =>  127.0.250.129:8080
  java 127.0.250.129:9990  =>  127.0.250.129:9990
  java 127.0.250.129:9999  =>  127.0.250.129:9999
Press CTRL-C to terminate port forwarding


Then, I connected to the instance through the tunnel using the JBoss CLI tool:

$ ./jboss-cli.sh 
You are disconnected at the moment. Type 'connect' to connect to the server or 'help' for the list of supported commands.
[disconnected /] connect 127.0.250.129:9999
[standalone@127.0.250.129:9999 /] version
JBoss Admin Command-line Interface
JBOSS_HOME: /home/dmace/Applications/jboss-as-7.1.0.Final
JBoss AS release: 7.1.0.Final "Thunder"
JAVA_HOME: null
java.version: 1.7.0_06-icedtea
java.vm.vendor: Oracle Corporation
java.vm.version: 23.2-b09
os.name: Linux
os.version: 3.6.1-1.fc17.x86_64
[standalone@127.0.250.129:9999 /] 

So, #4 works as expected.
Comment 5 Dan Mace 2013-02-14 14:32:15 EST
Converting to user story US3446 to be tracked upstream.

Note You need to log in before you can comment on or make changes to this bug.